#include <bits/stdc++.h>
#include <stdio.h>
using namespace std;

int main()
{
	int n;
	cin>>n;
	
	long plata[n];
	double porez[n];
	double zarada[n];
	for(int i=0;i<n;i++)
	{
		cin>>plata[i]>>porez[i];
		zarada[i] = 0;
	}
	
	double najveca = zarada[0]*(porez[0]/100);
	for(int i=0;i<n;i++)
	{
		for(int j=0;j<n;j++)
		{
			if(porez[i]<=porez[j])
				zarada[i]+= plata[j];
		}
		
		if(zarada[i]*(porez[i]/100)>najveca)
			najveca = zarada[i]*(porez[i]/100);	
	}
	
	printf("%f",najveca);
}